Fetch content by ID
1 min
GET
https://{hostname}/1.0/content/{id}
Path Parameters
- idintegerrequiredExampleDescription
Responses
200
- ContentItemVerboseExample
{ "id": 101, "title": "AI in Healthcare", "abstract": "Exploring how AI is transforming healthcare.", "featured": true, "approved": "approved", "read": false, "published": "2026-05-14T09:30:00Z", "original_url": "https://www.example.com/news/ai-in-healthcare", "link_url": "https://www.example.com/news/ai-in-healthcare", "full_details_url": "https://api.usea01.idio.episerver.net/1.0/content/101", "main_image_url": "https://images.example.com/101/main.jpg", "main_image": { "width": 1200, "height": 800 }, "metadata": { "language": "en" }, "source": { "id": 501, "title": "Nature Journal", "full_details_url": "https://api.usea01.idio.episerver.net/1.0/sources/501", "display": "full" }, "author": { "id": 301, "title": "Dr. Jane Smith", "full_details_url": "https://api.usea01.idio.episerver.net/1.0/authors/301" }, "topics": [ { "id": 42, "title": "Artificial Intelligence", "full_details_url": "https://api.usea01.idio.episerver.net/1.0/topics/42" } ], "content": "Artificial intelligence is reshaping how clinicians diagnose and treat patients across the care pathway.", "images": [ { "url": "https://images.example.com/101/inline-1.jpg", "width": 800, "height": 450 } ] }- objectContentItem
- titlestringDescription
- abstractstringDescription
- featuredbooleanDescription
- approvedstring<approved | unapproved | binned>DescriptionAllowedapprovedunapprovedbinned
- readbooleanDescription
- publishedstring<date-time>DescriptionFormatdate-time
- original_urlstring<url>DescriptionFormaturl
- idintegerrequiredDescription
- metadataContentMetadatarequiredDescription
- languagestring<de | en | es | fr | it>DescriptionAlloweddeenesfrit
- tagsmap<string, string>Description
- topicsContentTopic[]Description
- idintegerrequiredDescription
- titlestringrequiredDescription
- full_details_urlstring<url>requiredDescriptionFormaturl
- link_urlstring<url>requiredDescriptionFormaturl
- full_details_urlstring<url>requiredDescriptionFormaturl
- main_image_urlstring<url>requiredDescriptionFormaturl
- main_imageContentMainImagerequired
- widthintegerrequiredDescription
- heightintegerrequiredDescription
- sourceContentSourcerequiredDescription
- idintegerrequiredDescription
- titlestringrequiredDescription
- full_details_urlstring<url>requiredDescriptionFormaturl
- displaystring<full | abstract | link>requiredDescriptionAllowedfullabstractlink
- authorContentAuthorrequired
- idintegerrequiredDescription
- titlestringrequiredDescription
- full_details_urlstring<url>requiredDescriptionFormaturl
- objectContentItemContent
- contentstringDescription
- object
- imagesContentImage[]requiredDescription
- urlstring<url>requiredDescriptionFormaturl
- widthintegerrequiredDescription
- heightintegerrequiredDescription
404
curl
curl --request GET \
--url https://api.usea01.idio.episerver.net/1.0/content/{id} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.usea01.idio.episerver.net/1.0/content/{id}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.usea01.idio.episerver.net/1.0/content/{id}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.usea01.idio.episerver.net/1.0/content/{id}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Detailed information about a single content item, including metadata, author, source, and media links.
{
"title": "",
"abstract": "",
"featured": false,
"approved": "",
"read": false,
"published": "",
"original_url": "",
"id": 0,
"metadata": {
"language": "",
"tags": ""
},
"topics": [
{
"id": 0,
"title": "",
"full_details_url": ""
}
],
"link_url": "",
"full_details_url": "",
"main_image_url": "",
"main_image": {
"width": 0,
"height": 0
},
"source": {
"id": 0,
"title": "",
"full_details_url": "",
"display": ""
},
"author": {
"id": 0,
"title": "",
"full_details_url": ""
},
"content": "",
"images": [
{
"url": "",
"width": 0,
"height": 0
}
]
}404
// Content does not exist